package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "PerformanceCounter",
   propOrder = {"counterName", "counterValue", "widgetName", "counterStringValue", "counterType"}
)
public class PerformanceCounter {
   @XmlElement(
      name = "CounterName",
      required = true,
      nillable = true
   )
   protected String counterName;
   @XmlElement(
      name = "CounterValue"
   )
   protected int counterValue;
   @XmlElement(
      name = "WidgetName",
      required = true,
      nillable = true
   )
   protected String widgetName;
   @XmlElement(
      name = "CounterStringValue",
      required = true,
      nillable = true
   )
   protected String counterStringValue;
   @XmlElement(
      name = "CounterType",
      required = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected EPerformanceCounterType counterType;

   public String getCounterName() {
      return this.counterName;
   }

   public void setCounterName(String value) {
      this.counterName = value;
   }

   public int getCounterValue() {
      return this.counterValue;
   }

   public void setCounterValue(int value) {
      this.counterValue = value;
   }

   public String getWidgetName() {
      return this.widgetName;
   }

   public void setWidgetName(String value) {
      this.widgetName = value;
   }

   public String getCounterStringValue() {
      return this.counterStringValue;
   }

   public void setCounterStringValue(String value) {
      this.counterStringValue = value;
   }

   public EPerformanceCounterType getCounterType() {
      return this.counterType;
   }

   public void setCounterType(EPerformanceCounterType value) {
      this.counterType = value;
   }
}
